<?PHP
/* Copyright (C) 2004 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: compta.export.Altairis.class.php,v 1.15 2005/07/10 21:00:55 eldy Exp $
 * $Source: /cvsroot/dolibarr/dolibarr/htdocs/compta/export/modules/compta.export.Altairis.class.php,v $
 */

require_once DOL_DOCUMENT_ROOT."/includes/php_writeexcel/class.writeexcel_workbook.inc.php";
require_once DOL_DOCUMENT_ROOT."/includes/php_writeexcel/class.writeexcel_worksheet.inc.php";



class ComptaExportAltairis extends ComptaExport
{
    var $db;
    var $user;


    function ComptaExportAltairis ($DB, $USER)
    {
        $this->db = $DB;
        $this->user = $USER;
    }

 /*
     *
     */
    function Export($linep, $id=0)
    {
        $error = 0;

        dolibarr_syslog("ComptaExportAltairis::Export");
        dolibarr_syslog("ComptaExportAltairis::Export " . sizeof($linep) . " lignes en entres");

        $this->db->begin();

        if ($id == 0)
        {
            $dt = strftime('EC%y%m', time());

            $sql = "SELECT count(ref) FROM ".MAIN_DB_PREFIX."export_compta";
            $sql .= " WHERE ref like '$dt%'";

            if ($this->db->query($sql))
            {
                $row = $this->db->fetch_row();
                $cc = $row[0];
            }
            else
            {
                $error++;
                dolibarr_syslog("ComptaExportAltairis::Export Erreur Select");
            }


            if (!$error)
            {
                $this->ref = $dt . substr("000".$cc, -2);

                $sql = "INSERT INTO ".MAIN_DB_PREFIX."export_compta (ref, date_export, fk_user)";
                $sql .= " VALUES ('".$this->ref."', now(),".$this->user->id.")";

                if ($this->db->query($sql))
                {
                    $this->id = $this->db->last_insert_id(MAIN_DB_PREFIX."export_compta");
                }
                else
                {
                    $error++;
                    dolibarr_syslog("ComptaExportAltairis::Export Erreur INSERT");
                }
            }
        }
        else
        {
            $this->id = $id;

            $sql = "SELECT ref FROM ".MAIN_DB_PREFIX."export_compta";
            $sql .= " WHERE rowid = ".$this->id;

            $resql = $this->db->query($sql);

            if ($resql)
            {
                $row = $this->db->fetch_row($resql);
                $this->ref = $row[0];
            }
            else
            {
                $error++;
                dolibarr_syslog("ComptaExportAltairis::Export Erreur Select");
            }
        }


        if (!$error)
        {
            dolibarr_syslog("ComptaExportAltairis::Export ref : ".$this->ref);

            $fxname = DOL_DATA_ROOT."/compta/export/".$this->ref.".xls";

            $workbook = &new writeexcel_workbook($fxname);

            $page = &$workbook->addworksheet('Export');

            $page->set_column(0,0,10);
			$page->write_string(0,0,"date_piece");
            $page->set_column(1,1,4);
			$page->write_string(0,1,"journal");
            $page->set_column(2,2,6);
			$page->write_string(0,2,"numero piece");
            $page->set_column(3,3,2);
			$page->write_string(0,3,"numero ligne");
            $page->set_column(4,4,10);
			$page->write_string(0,4,"compte	");
            $page->set_column(5,6,50);
			$page->write_string(0,5,"libelle");
			$page->set_column(6,6,1);
			$page->write_string(0,6,"sens");
			$page->set_column(7,8,10);
			$page->write_string(0,7,"montant");

 
            $n = sizeof($linep);
            
            for ( $i = 0 ; $i < $n ; $i++)
            {
                for ($j = 0; $j < 8; $j++) $page->write_string($i + 1, $j, $linep[$i][$j]);
            }

            $workbook->close();

            // Tag des lignes de factures
            $n = sizeof($linep);
            for ( $i = 0 ; $i < $n ; $i++)

            {
                $sql = "UPDATE ".MAIN_DB_PREFIX."compta_pieces";
                $sql .= " SET exportee=".$this->id;
                $sql .= " WHERE rowid = ".$linep[$i][8];

                if (!$this->db->query($sql))
                {
                    $error++;
                }
            }

        }

        if (!$error)
        {
            $this->db->commit();
            dolibarr_syslog("ComptaExportAltairis::Export COMMIT");
        }
        else
        {
            $this->db->rollback();
            dolibarr_syslog("ComptaExportAltairis::Export ROLLBACK");
        }

        return 0;
    }
}
