<?php
/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2005 Laurent Destailleur  <eldy@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: fiche.php,v 1.7 2005/10/19 05:12:49 eldy Exp $
 * $Source: /cvsroot/dolibarr/dolibarr/htdocs/compta/param/type_pieces/fiche.php,v $
 */


/**
        \file       htdocs/compta/param/type_pieces/fiche.php
        \ingroup    compta
        \brief      Page de la fiche des type_pieces comptables
        \version    $Revision: 1.7 $
*/

require("./pre.inc.php");
include_once(DOL_DOCUMENT_ROOT.'/compta/compta.class.php');

$mesg = '';

if ($_POST["action"] == 'add' && $user->rights->compta->ventilation->parametrer)
{
  $type_piece = new Type_piece($db);

  $type_piece->nouveauType_piece($_POST["libelle"], $_POST["journal"]);

  Header("Location: liste.php");
}

llxHeader("","Nouveau Type de pice");

/*
 * Cration d'un type_piece
 *
 */
if ($_GET["action"] == 'create' && $user->rights->compta->ventilation->parametrer)
{
    $html = new Form($db);
    $nbligne=0;

    print_fiche_titre($langs->trans("Nouveau type de piece"));

    print '<form action="fiche.php" method="post">';
    print '<input type="hidden" name="action" value="add">';
    print '<input type="hidden" name="type" value="'.$_GET["type"].'">'."\n";

    print '<table class="border" width="100%">';
    print '<tr>';
    print '<tr><td>'.$langs->trans("Label").'</td><td><input name="libelle" size="40" value="'.$type_piece->libelle.'"></td></tr>';
	print '<tr><td>'.$langs->trans("journal").'</td><td><select name="journal">'._charge_journaux($db).'</select></td></tr>';

    print '<tr><td>&nbsp;</td><td><input type="submit" class="button" value="'.$langs->trans("Create").'"></td></tr>';
    print '</table>';
    print '</form>';
}

$db->close();

llxFooter('$Date: 2005/10/19 05:12:49 $ - $Revision: 1.7 $');

// Chargement des journals dans $journals_generaux
function _charge_journaux($db)
 {
	$sql = "SELECT code_journal, libelle FROM ".MAIN_DB_PREFIX."compta_journaux";
	$sql.+ " ORDER BY code_journal;";
	$result = $db->query($sql);
	if ($result)
    {
        $num = $db->num_rows($result);
        $i = 1;
        $journaux = "<option value=\"0\"";
		if ($journal == '0') {
			$journaux .= " selected=\"true\"";
			$journal_sel = "";
		}
		else {
			$journal_sel = $_POST["journal"];
		}
		$journaux .= ">&nbsp;</option>";
        while ($i <= $num)
        {
            $obj = $db->fetch_object($result);
            $journaux .= "<option value=\"$obj->code_journal\"";
			if ($obj->code_journal == $journal_sel) $journaux .= " selected=\"true\"";
			$journaux .= ">$obj->libelle</option>\n";
            $i++;
        }
        $db->free($result);
	}
	return $journaux;
}

?>
